
import React from "react"

/**
 * Small helper component to render the view count and the uploaded date
 * 
 * Argument need to pre-rendered pluralized and humanized strings.
 */
const ViewDate = ({data}) => (
    <div className="d-none d-lg-inline text-muted small">
        <i className="fas fa-eye"></i> { data.viewstring } {' '}
        <span title={data.uploaded}>
            <i className="fas fa-clock"></i> { data.datestring }
        </span>
    </div>
)

export default ViewDate
